Subject: [Linaro-acpi] [PATCH v7 00/17] Introduce ACPI for ARM64 based on ACPI 5.1

From: [email-masked] (Al Stone)
Date: Fri, 16 Jan 2015 08:17:45 -0700

On 01/16/2015 03:20 AM, Catalin Marinas wrote:
> On Thu, Jan 15, 2015 at 09:31:53PM +0000, Al Stone wrote:
>> On 01/15/2015 11:23 AM, Catalin Marinas wrote:
>>> On Thu, Jan 15, 2015 at 04:26:20PM +0000, Grant Likely wrote:
>>>> On Wed, Jan 14, 2015 at 3:04 PM, Hanjun Guo <[email-masked]> wrote:
>>>>> This is the v7 of ACPI core patches for ARM64 based on ACPI 5.1
>>>>
>>>> I'll get right to the point: Can we please have this series queued up
>>>> for v3.20?
>>> [snip ... ]
>>
>>>> 5. Platform support patches need verification and review
>>>>    * ACPI core works on at least the Foundation model, Juno, APM
>>>> Mustang, and AMD Seattle
>>>>    * There still are driver patches being discussed. See Al's summary
>>>> for details
>>>>    * As I argued above, the state of driver patches isn't going to be
>>>
>>> We are still lacking here. To quote Al, "First version for AMD Seattle
>>> has been posted to the public linaro-acpi mailing list for initial
>>> review". Sorry but I don't follow linaro-acpi list. I don't know what's
>>> in those patches and I can't tell which subsystems they touch, whether
>>> maintainers agree with them. So in conclusion, I'm not confident the
>>> arm64 hardware ACPI story looks that great yet.
>>>  
>>
>> This is solely my fault -- too much time on processes, email, and
>> documentation, not enough time on the Seattle patches.  And not
>> enough Seattles to go around for someone else to pick up the slack.
>>
>> I am aware not everyone is subscribed to linaro-acpi; we use that
>> for internal review before posting more broadly, which is the only
>> reason I sent them there.
>>
>> I'm in the middle of updating them as I have time, based on really
>> good feedback from Arnd; few of them are terribly new (the very first
>> posting was [0]) -- it's mostly a matter of rebasing, integrating
>> updates from AMD and others, and reacting to the comments.  One can
>> also see what these patches will probably look like via one of the
>> Fedora kernel trees [1].
> 
> Do you have some simple branch against mainline with just the ACPI core
> patches and what's required for AMD Seattle? I have no plans to dig
> through the Fedora kernels.
> 

Nor was I expecting you to; I only added it as additional reference
material, should one be interested.

The version of patches sent to the linaro-acpi list are from the Linaro
acpi.git tree, and are precisely what you describe; those are the ones
being updated.

-- 
ciao,
al
-----------------------------------
Al Stone
Software Engineer
Linaro Enterprise Group
al.stone at linaro.org
-----------------------------------